# RUFF

[![Build Status](https://drone.tilera.xyz/api/badges/LordMZTE/RUFF/status.svg)](https://drone.tilera.xyz/LordMZTE/RUFF)

The successor to ITbyHF's crappy golang UFFbot written in rust and compatible with most chat platforms through matterbridge.

## Compiling
1. `cargo build --release`
2. artifacts in `target/release`

## Setting up the dev environment
There is a docker-compose workspace for development. It contains a matterbridge server for RUFF to connect to, and an IRC server as an endpoint.
1. start to containers with `cd testenv && docker-compose up`
2. connect to the irc server at `localhost:6667` with an IRC client of your choice
3. the matterbridge server is listening at port `4242`. This is where RUFF should connect.
4. start RUFF `cargo run -- -c defaultconfig.toml`. RUFF will by default look in `~/.config/ruff/config.toml`.
   This is changed with the `-c` argument to use the local config instead.
5. join the `#testing` channel on the IRC server. matterbridge is connected to it.
6. type `alec`

